# PINRemoteLockType Constants Reference

Declared in | PINRemoteLock.h

### PINRemoteLockType

The type of lock, either recursive or non-recursive

#### Definition

`typedef NS_ENUM(NSUInteger, PINRemoteLockType ) {
PINRemoteLockTypeNonRecursive = 0,
PINRemoteLockTypeRecursive,
};`

#### Constants

`PINRemoteLockTypeNonRecursive`

  A non-recursive version of the lock. The default.

  Declared In `PINRemoteLock.h`.

`PINRemoteLockTypeRecursive`

  A recursive version of the lock. More expensive.

  Declared In `PINRemoteLock.h`.

#### Declared In

`PINRemoteLock.h`